package ru.yandex.webmaster.common.newwmc;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author avhaliullin
 */
public class DelegationView {
    private final long id;
    private final long fromUserId;
    private final long toUserId;
    private final String hostName;
    private final long delegatedAt;

    public DelegationView(
            @JsonProperty("id") long id,
            @JsonProperty("fromUserId") long fromUserId,
            @JsonProperty("toUserId") long toUserId,
            @JsonProperty("hostName") String hostName,
            @JsonProperty("delegatedAt") long delegatedAt
    ) {
        this.id = id;
        this.fromUserId = fromUserId;
        this.toUserId = toUserId;
        this.hostName = hostName;
        this.delegatedAt = delegatedAt;
    }

    public long getId() {
        return id;
    }

    public long getFromUserId() {
        return fromUserId;
    }

    public long getToUserId() {
        return toUserId;
    }

    public String getHostName() {
        return hostName;
    }

    public long getDelegatedAt() {
        return delegatedAt;
    }
}
